For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
API StatusPartner Portal
HomeGuidesAPI ExplorerSDKsGitHubSupport
HomeGuidesAPI ExplorerSDKsGitHubSupport
  • API Concepts
    • Overview
    • Environments and URLs
    • Authentication
    • API versioning
    • Rate limiting
    • HTTP headers
    • Pagination, sorting, and filtering
  • General
  • Common
  • Accounts payable
      • GETGet approval policies
      • POSTCreate an approval policy
      • GETGet an approval policy by ID
      • DELDelete an approval policy
      • PATCHUpdate an approval policy
      • GETGet approval processes created from a policy
      • GETGet an approval process by ID
      • POSTCancel an approval process
      • GETGet the steps of an approval process
  • Accounts receivable
  • E-invoicing
  • Payments
  • Accounting integration
  • Expense management
  • Utilities
LogoLogo
API StatusPartner Portal
Accounts payableApproval policies

Cancel an approval process

POST
/approval_policies/:approval_policy_id/processes/:process_id/cancel
POST
/v1/approval_policies/:approval_policy_id/processes/:process_id/cancel
$curl -X POST https://api.sandbox.monite.com/v1/approval_policies/approval_policy_id/processes/process_id/cancel \
> -H "x-monite-version: 2024-05-25" \
> -H "x-monite-entity-id: 9d2b4c8f-2087-4738-ba91-7359683c49a4" \
> -H "Authorization: Bearer <token>"
1{
2 "id": "id",
3 "created_at": "2024-01-15T09:30:00Z",
4 "input": {
5 "key": "value"
6 },
7 "metadata": {
8 "key": "value"
9 },
10 "status": "succeeded",
11 "updated_at": "2024-01-15T09:30:00Z",
12 "created_by": "created_by",
13 "error": {
14 "key": "value"
15 },
16 "script_snapshot": true,
17 "updated_by": "updated_by"
18}
Cancel an ongoing approval process for a specific approval policy.
Was this page helpful?
Previous

Get the steps of an approval process

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

approval_policy_idstringRequired
process_idstringRequired

Headers

x-monite-versionstringRequired
x-monite-entity-idstringRequired
The ID of the entity that owns the requested resource.

Response

Successful Response
idstringformat: "uuid"
created_atdatetime
inputmap from strings to any
The input for the script.
metadatamap from strings to any
The metadata for the process.
statusenum
Tthe current status of the approval policy process.
updated_atdatetime
created_bystringformat: "uuid"
errormap from strings to any
The error for the process.
script_snapshotboolean or double or string or list of any or map from strings to any
The script snapshot taken when script started.
updated_bystringformat: "uuid"

Errors

401
Post Approval Policies ID Processes ID Cancel Request Unauthorized Error
404
Post Approval Policies ID Processes ID Cancel Request Not Found Error
409
Post Approval Policies ID Processes ID Cancel Request Conflict Error
422
Post Approval Policies ID Processes ID Cancel Request Unprocessable Entity Error
429
Post Approval Policies ID Processes ID Cancel Request Too Many Requests Error